Package org.zkoss.zul.mesg

## Interface MZul

- All Superinterfaces:
    `MessageConst`

      public interface MZul
      extends MessageConst

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.Aide, MessageConst.BundleInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ABORT` |
    `static int` | `CALENDAR_TODAY` |
    `static int` | `CANCEL` |
    `static int` | `CHOSENBOX_CREATE_MESSAGE` |
    `static int` | `CHOSENBOX_SELECTION` |
    `static int` | `COLORBOX_COLOR_B` |
    `static int` | `COLORBOX_COLOR_FIELD` |
    `static int` | `COLORBOX_COLOR_G` |
    `static int` | `COLORBOX_COLOR_HEX` |
    `static int` | `COLORBOX_COLOR_PALETTE` |
    `static int` | `COLORBOX_COLOR_PICKER` |
    `static int` | `COLORBOX_COLOR_R` |
    `static int` | `COLORBOX_COLOR_SPECTRUM_BAR` |
    `static int` | `COLORBOX_CURRENT_COLOR` |
    `static int` | `COLORBOX_HUE` |
    `static int` | `COLORBOX_PALETTE_BUTTON_LABEL` |
    `static int` | `COLORBOX_PICKER_BUTTON_LABEL` |
    `static int` | `COLORBOX_SATURATION` |
    `static int` | `COLORBOX_SELECT_COLOR_BUTTON` |
    `static int` | `COLORBOX_VALUE` |
    `static int` | `CURRENT` |
    `static int` | `CURRENT_DESCRIPTION` |
    `static int` | `DATE_REQUIRED` |
    `static int` | `DETAILED_DESCRIPTION` |
    `static int` | `EMPTY_NOT_ALLOWED` |
    `static int` | `FIRST` |
    `static int` | `GRID_ASC` |
    `static int` | `GRID_COLUMNS` |
    `static int` | `GRID_DESC` |
    `static int` | `GRID_GROUP` |
    `static int` | `GRID_OTHER` |
    `static int` | `GRID_UNGROUP` |
    `static int` | `IGNORE` |
    `static int` | `ILLEGAL_VALUE` |
    `static int` | `INTEGER_REQUIRED` |
    `static int` | `ITEMWIDGET_SELECTED` |
    `static int` | `LAST` |
    `static int` | `LISTBOX_SELECT_ALL` |
    `static int` | `MESSAGE_ID` |
    `static int` | `NEXT` |
    `static int` | `NO` |
    `static int` | `NO_FUTURE` |
    `static int` | `NO_FUTURE_PAST` |
    `static int` | `NO_FUTURE_PAST_TODAY` |
    `static int` | `NO_FUTURE_TODAY` |
    `static int` | `NO_NEGATIVE` |
    `static int` | `NO_NEGATIVE_ZERO` |
    `static int` | `NO_PAST` |
    `static int` | `NO_PAST_TODAY` |
    `static int` | `NO_POSITIVE` |
    `static int` | `NO_POSITIVE_NEGATIVE` |
    `static int` | `NO_POSITIVE_NEGATIVE_ZERO` |
    `static int` | `NO_POSITIVE_ZERO` |
    `static int` | `NO_TODAY` |
    `static int` | `NO_ZERO` |
    `static int` | `NOTIFICATION_ERROR` |
    `static int` | `NOTIFICATION_INFO` |
    `static int` | `NOTIFICATION_WARNING` |
    `static int` | `NUMBER_REQUIRED` |
    `static int` | `OK` |
    `static int` | `OUT_OF_RANGE` |
    `static int` | `PANEL_CLOSE` |
    `static int` | `PANEL_COLLAPSE` |
    `static int` | `PANEL_EXPAND` |
    `static int` | `PANEL_MAXIMIZE` |
    `static int` | `PANEL_MINIMIZE` |
    `static int` | `PANEL_RESTORE` |
    `static int` | `PDFVIEWER_ROTATE_LEFT` |
    `static int` | `PDFVIEWER_ROTATE_RIGHT` |
    `static int` | `PDFVIEWER_TOGGLE_FULLSCREEN` |
    `static int` | `PDFVIEWER_ZOOM_FIT_HEIGHT` |
    `static int` | `PDFVIEWER_ZOOM_FIT_WIDTH` |
    `static int` | `PDFVIEWER_ZOOM_IN` |
    `static int` | `PDFVIEWER_ZOOM_LEVEL` |
    `static int` | `PDFVIEWER_ZOOM_OUT` |
    `static int` | `PLEASE_WAIT` |
    `static int` | `PREV` |
    `static int` | `RELOAD` |
    `static int` | `RETRY` |
    `static int` | `STRING_TOO_LONG` |
    `static int` | `TREE_SELECT_ALL` |
    `static int` | `UPLOAD_BROWSE` |
    `static int` | `UPLOAD_CANCEL` |
    `static int` | `UPLOAD_ERROR_EXCEED_MAXSIZE` |
    `static int` | `UPLOAD_ERROR_UNACCEPTED_FILE_TYPE` |
    `static int` | `UPLOAD_MESSAGE` |
    `static int` | `UPLOAD_SUBMIT` |
    `static int` | `UPLOAD_TITLE` |
    `static int` | `VALUE_NOT_MATCHED` |
    `static int` | `WS_END` |
    `static int` | `WS_HOME` |
    `static int` | `WS_NEXT` |
    `static int` | `WS_PREV` |
    `static int` | `YES` |

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

- - ### Field Detail

    - #### MESSAGE_ID

          static final int MESSAGE_ID

    - #### EMPTY_NOT_ALLOWED

          static final int EMPTY_NOT_ALLOWED

    - #### NO_POSITIVE_NEGATIVE_ZERO

          static final int NO_POSITIVE_NEGATIVE_ZERO

    - #### NO_POSITIVE_NEGATIVE

          static final int NO_POSITIVE_NEGATIVE

    - #### NO_POSITIVE_ZERO

          static final int NO_POSITIVE_ZERO

    - #### NO_POSITIVE

          static final int NO_POSITIVE

    - #### NO_NEGATIVE_ZERO

          static final int NO_NEGATIVE_ZERO

    - #### NO_NEGATIVE

          static final int NO_NEGATIVE

    - #### NO_ZERO

          static final int NO_ZERO

    - #### NO_FUTURE_PAST_TODAY

          static final int NO_FUTURE_PAST_TODAY

    - #### NO_FUTURE_PAST

          static final int NO_FUTURE_PAST

    - #### NO_FUTURE_TODAY

          static final int NO_FUTURE_TODAY

    - #### NO_FUTURE

          static final int NO_FUTURE

    - #### NO_PAST_TODAY

          static final int NO_PAST_TODAY

    - #### NO_PAST

          static final int NO_PAST

    - #### NO_TODAY

          static final int NO_TODAY

    - #### VALUE_NOT_MATCHED

          static final int VALUE_NOT_MATCHED

    - #### INTEGER_REQUIRED

          static final int INTEGER_REQUIRED

    - #### NUMBER_REQUIRED

          static final int NUMBER_REQUIRED

    - #### DATE_REQUIRED

          static final int DATE_REQUIRED

    - #### OUT_OF_RANGE

          static final int OUT_OF_RANGE

    - #### STRING_TOO_LONG

          static final int STRING_TOO_LONG

    - #### ILLEGAL_VALUE

          static final int ILLEGAL_VALUE

    - #### UPLOAD_TITLE

          static final int UPLOAD_TITLE

    - #### UPLOAD_MESSAGE

          static final int UPLOAD_MESSAGE

    - #### UPLOAD_CANCEL

          static final int UPLOAD_CANCEL

    - #### UPLOAD_SUBMIT

          static final int UPLOAD_SUBMIT

    - #### UPLOAD_BROWSE

          static final int UPLOAD_BROWSE

    - #### UPLOAD_ERROR_EXCEED_MAXSIZE

          static final int UPLOAD_ERROR_EXCEED_MAXSIZE

    - #### UPLOAD_ERROR_UNACCEPTED_FILE_TYPE

          static final int UPLOAD_ERROR_UNACCEPTED_FILE_TYPE

    - #### OK

          static final int OK

    - #### CANCEL

          static final int CANCEL

    - #### YES

          static final int YES

    - #### NO

          static final int NO

    - #### RETRY

          static final int RETRY

    - #### ABORT

          static final int ABORT

    - #### IGNORE

          static final int IGNORE

    - #### RELOAD

          static final int RELOAD

    - #### FIRST

          static final int FIRST

    - #### LAST

          static final int LAST

    - #### PREV

          static final int PREV

    - #### NEXT

          static final int NEXT

    - #### CURRENT

          static final int CURRENT

    - #### CURRENT_DESCRIPTION

          static final int CURRENT_DESCRIPTION

    - #### DETAILED_DESCRIPTION

          static final int DETAILED_DESCRIPTION

    - #### PLEASE_WAIT

          static final int PLEASE_WAIT

    - #### GRID_GROUP

          static final int GRID_GROUP

    - #### GRID_OTHER

          static final int GRID_OTHER

    - #### GRID_ASC

          static final int GRID_ASC

    - #### GRID_DESC

          static final int GRID_DESC

    - #### GRID_COLUMNS

          static final int GRID_COLUMNS

    - #### GRID_UNGROUP

          static final int GRID_UNGROUP

    - #### WS_HOME

          static final int WS_HOME

    - #### WS_PREV

          static final int WS_PREV

    - #### WS_NEXT

          static final int WS_NEXT

    - #### WS_END

          static final int WS_END

    - #### PANEL_CLOSE

          static final int PANEL_CLOSE

    - #### PANEL_MAXIMIZE

          static final int PANEL_MAXIMIZE

    - #### PANEL_MINIMIZE

          static final int PANEL_MINIMIZE

    - #### PANEL_EXPAND

          static final int PANEL_EXPAND

    - #### PANEL_COLLAPSE

          static final int PANEL_COLLAPSE

    - #### PANEL_RESTORE

          static final int PANEL_RESTORE

    - #### CALENDAR_TODAY

          static final int CALENDAR_TODAY

    - #### PDFVIEWER_ROTATE_RIGHT

          static final int PDFVIEWER_ROTATE_RIGHT

    - #### PDFVIEWER_ROTATE_LEFT

          static final int PDFVIEWER_ROTATE_LEFT

    - #### PDFVIEWER_ZOOM_IN

          static final int PDFVIEWER_ZOOM_IN

    - #### PDFVIEWER_ZOOM_OUT

          static final int PDFVIEWER_ZOOM_OUT

    - #### PDFVIEWER_ZOOM_LEVEL

          static final int PDFVIEWER_ZOOM_LEVEL

    - #### PDFVIEWER_ZOOM_FIT_WIDTH

          static final int PDFVIEWER_ZOOM_FIT_WIDTH

    - #### PDFVIEWER_ZOOM_FIT_HEIGHT

          static final int PDFVIEWER_ZOOM_FIT_HEIGHT

    - #### PDFVIEWER_TOGGLE_FULLSCREEN

          static final int PDFVIEWER_TOGGLE_FULLSCREEN

    - #### COLORBOX_PALETTE_BUTTON_LABEL

          static final int COLORBOX_PALETTE_BUTTON_LABEL

    - #### COLORBOX_PICKER_BUTTON_LABEL

          static final int COLORBOX_PICKER_BUTTON_LABEL

    - #### COLORBOX_COLOR_PALETTE

          static final int COLORBOX_COLOR_PALETTE

    - #### COLORBOX_COLOR_PICKER

          static final int COLORBOX_COLOR_PICKER

    - #### COLORBOX_COLOR_R

          static final int COLORBOX_COLOR_R

    - #### COLORBOX_COLOR_G

          static final int COLORBOX_COLOR_G

    - #### COLORBOX_COLOR_B

          static final int COLORBOX_COLOR_B

    - #### COLORBOX_HUE

          static final int COLORBOX_HUE

    - #### COLORBOX_SATURATION

          static final int COLORBOX_SATURATION

    - #### COLORBOX_VALUE

          static final int COLORBOX_VALUE

    - #### COLORBOX_COLOR_HEX

          static final int COLORBOX_COLOR_HEX

    - #### COLORBOX_COLOR_FIELD

          static final int COLORBOX_COLOR_FIELD

    - #### COLORBOX_COLOR_SPECTRUM_BAR

          static final int COLORBOX_COLOR_SPECTRUM_BAR

    - #### COLORBOX_SELECT_COLOR_BUTTON

          static final int COLORBOX_SELECT_COLOR_BUTTON

    - #### COLORBOX_CURRENT_COLOR

          static final int COLORBOX_CURRENT_COLOR

    - #### LISTBOX_SELECT_ALL

          static final int LISTBOX_SELECT_ALL

    - #### NOTIFICATION_INFO

          static final int NOTIFICATION_INFO

    - #### NOTIFICATION_WARNING

          static final int NOTIFICATION_WARNING

    - #### NOTIFICATION_ERROR

          static final int NOTIFICATION_ERROR

    - #### CHOSENBOX_SELECTION

          static final int CHOSENBOX_SELECTION

    - #### CHOSENBOX_CREATE_MESSAGE

          static final int CHOSENBOX_CREATE_MESSAGE

    - #### ITEMWIDGET_SELECTED

          static final int ITEMWIDGET_SELECTED

    - #### TREE_SELECT_ALL

          static final int TREE_SELECT_ALL